# AICargoList_IndustryProducing Class Reference
[Classes that create a list of items.]

Creates a list of cargos that the given industry can produce. More...

`#include <ai_cargolist.hpp>`

Inheritance diagram for AICargoList_IndustryProducing:

## Public Member Functions
| AICargoList_IndustryProducing (IndustryID industry_id)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of cargos that the given industry can produce.

Definition at line 49 of file ai_cargolist.hpp.

## Constructor & Destructor Documentation

AICargoList_IndustryProducing::AICargoList_IndustryProducing | ( | IndustryID | industry_id | ) |

Parameters:

  | industry_id | The industry to get the list of cargos it produces from.

Definition at line 39 of file ai_cargolist.cpp.

References AIList::AddItem(), CT_INVALID, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), AIIndustry::IsValidIndustry(), lengthof, and Industry::produced_cargo.

## Member Function Documentation

static const char* AICargoList_IndustryProducing::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 52 of file ai_cargolist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_cargolist.hpp
- src/ai/api/ai_cargolist.cpp